You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@qpid.apache.org by ac...@apache.org on 2012/12/19 22:24:57 UTC

svn commit: r1424141 [3/3] - /qpid/trunk/qpid/cpp/src/tests/

Modified: qpid/trunk/qpid/cpp/src/tests/ipv6_test
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/ipv6_test?rev=1424141&r1=1424140&r2=1424141&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/ipv6_test (original)
+++ qpid/trunk/qpid/cpp/src/tests/ipv6_test Wed Dec 19 21:24:56 2012
@@ -122,43 +122,3 @@ else
     rm rdata-in rdata-out
 fi
 
-# Cluster smoke test follows
-test -z $CLUSTER_LIB && exit 0	# Exit if cluster not supported.
-
-## Test failover in a cluster using IPv6 only
-. cpg_check.sh
-cpg_enabled || exit 0
-
-pick_port() {
-    # We need a fixed port to set --cluster-url. Use qpidd to pick a free port.
-    # Note this method is racy
-    PICK=$($QPIDD_EXEC -dp0)
-    $QPIDD_EXEC -qp $PICK
-    echo $PICK
-}
-
-ssl_cluster_broker() {		# $1 = port
-    $QPIDD_EXEC $COMMON_OPTS --load-module  $CLUSTER_LIB --cluster-name ipv6_test.$HOSTNAME.$$ --cluster-url amqp:[$TEST_HOSTNAME]:$1 --port $1
-    # Wait for broker to be ready
-    ./qpid-ping -b $TEST_HOSTNAME -qp $1 || { echo "Cannot connect to broker on $1"; exit 1; }
-    echo "Running IPv6 cluster broker on port $1"
-}
-
-PORT1=`pick_port`; ssl_cluster_broker $PORT1
-PORT2=`pick_port`; ssl_cluster_broker $PORT2
-
-# Pipe receive output to uniq to remove duplicates
-./qpid-receive --connection-options "{reconnect:true, reconnect-timeout:5}" --failover-updates -b amqp:[$TEST_HOSTNAME]:$PORT1 -a "foo;{create:always}" -f | uniq > ssl_test_receive.tmp &
-
-./qpid-send -b amqp:[$TEST_HOSTNAME]:$PORT2 --content-string=one -a "foo;{create:always}"
-
-$QPIDD_EXEC -qp $PORT1 # Kill broker 1 receiver should fail-over.
-./qpid-send -b amqp:[$TEST_HOSTNAME]:$PORT2 --content-string=two -a "foo;{create:always}" --send-eos 1
-wait				# Wait for qpid-receive
-{ echo one; echo two; } > ssl_test_receive.cmp
-diff  ssl_test_receive.tmp ssl_test_receive.cmp || { echo "Failover failed"; exit 1; }
-
-$QPIDD_EXEC -qp $PORT2
-
-rm -f ssl_test_receive.*
-

Modified: qpid/trunk/qpid/cpp/src/tests/run_federation_sys_tests
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/run_federation_sys_tests?rev=1424141&r1=1424140&r2=1424141&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/run_federation_sys_tests (original)
+++ qpid/trunk/qpid/cpp/src/tests/run_federation_sys_tests Wed Dec 19 21:24:56 2012
@@ -25,10 +25,6 @@ source ./test_env.sh
 
 MODULENAME=federation_sys
 
-# Test for clustering
-source cpg_check.sh
-if cpg_enabled; then CLUSTERING_ENABLED=1; fi
-
 # Test for long test
 if [[ "$1" == "LONG_TEST" ]]; then
     USE_LONG_TEST=1
@@ -42,11 +38,7 @@ if [ -z ${USE_LONG_TEST} ]; then
     SKIPTESTS="-i federation_sys.A_Long* -i federation_sys.B_Long* ${SKIPTESTS}"
 fi
 echo "WARNING: Tests using persistence will be ignored."
-if [ -z ${CLUSTERING_ENABLED} ]; then
-    SKIPTESTS="${SKIPTESTS} -i federation_sys.C_* -i federation_sys.D_*"
-elif [ -z ${USE_LONG_TEST} ]; then
-    SKIPTESTS="${SKIPTESTS} -i federation_sys.C_Long* -i federation_sys.D_Long*"
-fi
+SKIPTESTS="${SKIPTESTS} -i federation_sys.C_* -i federation_sys.D_*"
 
 start_brokers() {
     start_broker() {
@@ -56,35 +48,21 @@ start_brokers() {
     }
     start_broker "" LOCAL_PORT
     start_broker "" REMOTE_PORT
-    if [ -n "${CLUSTERING_ENABLED}" ]; then
-        start_broker "--load-module ${CLUSTER_LIB} --cluster-name test-cluster-1" CLUSTER_C1_1
-        start_broker "--load-module ${CLUSTER_LIB} --cluster-name test-cluster-1" CLUSTER_C1_2
-        start_broker "--load-module ${CLUSTER_LIB} --cluster-name test-cluster-2" CLUSTER_C2_1
-        start_broker "--load-module ${CLUSTER_LIB} --cluster-name test-cluster-2" CLUSTER_C2_2
-    fi
     rm qpidd.port
 }
 
 stop_brokers() {
     ${QPIDD_EXEC} -q --port ${LOCAL_PORT}
     ${QPIDD_EXEC} -q --port ${REMOTE_PORT}
-    if [ -n "${CLUSTERING_ENABLED}" ]; then
-        ${QPID_CLUSTER_EXEC} --all-stop --force localhost:${CLUSTER_C1_1}
-        ${QPID_CLUSTER_EXEC} --all-stop --force localhost:${CLUSTER_C2_1}
-    fi
 }
 
 if test -d ${PYTHON_DIR} ;  then
     start_brokers
-    if [ -z ${CLUSTERING_ENABLED} ]; then
-        echo "Running federation tests using brokers on local port ${LOCAL_PORT}, remote port ${REMOTE_PORT} (NOTE: clustering is DISABLED)"
-    else
-        echo "Running federation tests using brokers on local port ${LOCAL_PORT}, remote port ${REMOTE_PORT}, local cluster nodes ${CLUSTER_C1_1} ${CLUSTER_C1_2}, remote cluster nodes ${CLUSTER_C2_1} ${CLUSTER_C2_2}"
-    fi
+    echo "Running federation tests using brokers on local port ${LOCAL_PORT}, remote port ${REMOTE_PORT} (NOTE: clustering is DISABLED)"
     if [ -z ${USE_LONG_TEST} ]; then
         echo "NOTE: To run a full set of federation system tests, use \"make check-long\". To test with persistence, run the store version of this script."
     fi
-    ${QPID_PYTHON_TEST} -m ${MODULENAME} ${SKIPTESTS} -b localhost:${REMOTE_PORT} -Dlocal-port=${LOCAL_PORT} -Dremote-port=${REMOTE_PORT} -Dlocal-cluster-ports="${CLUSTER_C1_1} ${CLUSTER_C1_2}" -Dremote-cluster-ports="${CLUSTER_C2_1} ${CLUSTER_C2_2}" $@
+    ${QPID_PYTHON_TEST} -m ${MODULENAME} ${SKIPTESTS} -b localhost:${REMOTE_PORT} -Dlocal-port=${LOCAL_PORT} -Dremote-port=${REMOTE_PORT} $@
     RETCODE=$?
     stop_brokers
     if test x${RETCODE} != x0; then

Modified: qpid/trunk/qpid/cpp/src/tests/ssl_test
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/ssl_test?rev=1424141&r1=1424140&r2=1424141&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/ssl_test (original)
+++ qpid/trunk/qpid/cpp/src/tests/ssl_test Wed Dec 19 21:24:56 2012
@@ -193,29 +193,3 @@ echo "Running SSL/TCP mux test on random
 ./qpid-perftest --count ${COUNT} --port ${PORT} -P tcp -b $TEST_HOSTNAME --summary || error "TCP connection failed!"
 
 stop_brokers
-
-test -z $CLUSTER_LIB && exit 0	# Exit if cluster not supported.
-
-## Test failover in a cluster using SSL only
-source cpg_check.sh
-cpg_enabled || exit 0
-
-PORT1=`pick_port`; ssl_cluster_broker $PORT1
-echo "Running SSL cluster broker on port $PORT1"
-
-PORT2=`pick_port`; ssl_cluster_broker $PORT2
-echo "Running SSL cluster broker on port $PORT2"
-
-# Pipe receive output to uniq to remove duplicates
-./qpid-receive --connection-options "{reconnect:true, reconnect-timeout:5}" --failover-updates -b amqp:ssl:$TEST_HOSTNAME:$PORT1 -a "foo;{create:always}" -f | uniq > ssl_test_receive.tmp &
-./qpid-send -b amqp:ssl:$TEST_HOSTNAME:$PORT2 --content-string=one -a "foo;{create:always}"
-
-stop_broker 0 # Kill broker 1 - receiver should fail-over.
-echo "Killed SSL cluster broker on port $PORT1"
-
-./qpid-send -b amqp:ssl:$TEST_HOSTNAME:$PORT2 --content-string=two -a "foo;{create:always}" --send-eos 1
-wait				# Wait for qpid-receive
-{ echo one; echo two; } > ssl_test_receive.cmp
-diff  ssl_test_receive.tmp ssl_test_receive.cmp || { echo "Failover failed"; exit 1; }
-rm -f ssl_test_receive.*
-

Modified: qpid/trunk/qpid/cpp/src/tests/test_env.sh.in
URL: http://svn.apache.org/viewvc/qpid/trunk/qpid/cpp/src/tests/test_env.sh.in?rev=1424141&r1=1424140&r2=1424141&view=diff
==============================================================================
--- qpid/trunk/qpid/cpp/src/tests/test_env.sh.in (original)
+++ qpid/trunk/qpid/cpp/src/tests/test_env.sh.in Wed Dec 19 21:24:56 2012
@@ -43,7 +43,6 @@ export PYTHON_COMMANDS=$QPID_TOOLS/src/p
 export PYTHONPATH=$srcdir:$PYTHON_DIR:$PYTHON_COMMANDS:$QPID_TESTS_PY:$QMF_LIB:$PYTHONPATH
 export QPID_CONFIG_EXEC=$PYTHON_COMMANDS/qpid-config
 export QPID_ROUTE_EXEC=$PYTHON_COMMANDS/qpid-route
-export QPID_CLUSTER_EXEC=$PYTHON_COMMANDS/qpid-cluster
 export QPID_HA_EXEC=$PYTHON_COMMANDS/qpid-ha
 
 # Executables
@@ -63,7 +62,6 @@ export TEST_STORE_LIB=$testmoduledir/tes
 
 exportmodule() { test -f $moduledir/$2 && eval "export $1=$moduledir/$2"; }
 exportmodule ACL_LIB acl.so
-exportmodule CLUSTER_LIB cluster.so
 exportmodule HA_LIB ha.so
 exportmodule SSLCONNECTOR_LIB sslconnector.so
 exportmodule SSL_LIB ssl.so



---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@qpid.apache.org
For additional commands, e-mail: commits-help@qpid.apache.org